/*********************************************************************

 Author        : ADI - Apps            www.analog.com/MicroConverter

 Date          : Sept. 2005

 File          : XIRQ0.c

 Hardware      : ADuC702x Rev I silicon

 Description   : Complement port 3 in a loop.
		 When XIRQ0 is pressed, complement P4.2	

 Notes         : This project uses a modified version of cstartup.s79 which
                 enables IRQ interrupts.



*********************************************************************/

#include "ioADuC7026.h"					// 	Include ADuC7024 Header File
                                                        //      required for interrupts

void delay(int);


__irq __arm void irq_handler(void)                      //      IRQ Handler
{
	GP4DAT ^= 0x04040000;				//      Complement P4.2
	while(GP0DAT & 0x00010){}			//      wait for XIRQ to be low again
	return ;
}



int main (void)
{


	IRQEN = XIRQ0_BIT;				//	Enable XIRQ0 in IRQEnable

	GP0CON = 0x00;
	GP4DAT = 0x04000000;				//	Configure P4.2 as output
	GP3DAT = 0xff000000;				//	Configure port 3 as output

	while(1)
	{
		GP3DAT ^= 0x00ff0000;	   		// 	Complement Port 3
		delay(900000);				//	Delay to make blink visible
	}
}



void delay (int length)                                 //      Delay function
{
	while (length >=0)
    	length--;
}



